import { ReactWidgetPM } from './widget';
export declare type SeriesMeasure = {
    MeasureFieldId: string;
    MeasureCode: string;
    MeasureFieldDataType?: string;
    Formula: string;
    Values: SeriesMeasureValue[];
    Name: string;
    PlotasLineChart?: boolean;
    PlotonSecondAxis?: boolean;
};
export declare type SeriesMeasureValue = {
    Value: number;
    Label: string;
    GroupById: string;
    LabelSec: string;
    GroupByIdSec: string;
};
export declare type PivotField = {
    FieldId: string | null;
    FieldType: string | null;
    FieldValue: string | null;
    DateCode: string | null;
};
export declare type DataPointSelection = {
    GroupById?: string;
    MeasureFieldId?: string;
    MeasureFieldType?: string;
    MeasureFieldDataType?: string;
    MeasureCode?: string;
    Formula?: string;
    Widget?: ReactWidgetPM;
    GroupByIdSec?: string;
    ObjectTableName?: string | null;
    TableRowEntityId?: string | null;
    PivotFields?: PivotField[];
    IsKPISecondaryValues?: boolean;
};
