import React from "react";
import { DashboardDataBinding } from "../../../../types/DashboardDataBinding";
import { DataPointSelection } from "../../../../types/SeriesMeasure";
import { ReactWidgetPM } from "../../../../types/widget";
export declare type FusionChartProps = {
    widget: ReactWidgetPM | undefined;
    widgetRef: ReactWidgetPM | undefined;
    dataBinding: DashboardDataBinding;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
    onShowError: (errorMsg: string | null) => void;
    isPreviewModeActive?: boolean;
};
declare const FusionChart: React.ForwardRefExoticComponent<FusionChartProps & React.RefAttributes<unknown>>;
export default FusionChart;
